# Agent.getVoice()

The `.getVoice()` method retrieves the voice provider configured for an agent, resolving it if it's a function. This method is used to access the agent's speech capabilities for text-to-speech and speech-to-text functionality.

## Usage example

```typescript
await agent.getVoice()
```

## Parameters

**options** (`{ requestContext?: RequestContext }`): Optional configuration object containing request context. (Default: `{}`)

**options.requestContext** (`RequestContext`): Request Context for dependency injection and contextual information.

## Returns

**voice** (`Promise<MastraVoice>`): A promise that resolves to the voice provider configured for the agent, or a default voice provider if none was configured.

## Extended usage example

```typescript
await agent.getVoice({
  requestContext: new RequestContext(),
})
```

## Related

- [Adding voice to agents](https://mastra.ai/docs/agents/adding-voice)
- [Voice providers](https://mastra.ai/reference/voice/mastra-voice)